## com.google.gwt.core.ext.linker
Interface SelectionProperty

    public interface SelectionProperty

Represents a deferred binding property. The deferred binding property may or may not have a single value applied across all permutations. SelectionProperty implementations must support object identity comparisons.

Method Summary
`java.lang.String` | `getName()` Returns the name of the deferred binding property.
`java.util.SortedSet<java.lang.String>` | `getPossibleValues()` Returns all possible values for this deferred binding property.
`java.lang.String` | `getPropertyProvider()` Returns a raw function body that provides the runtime value to be used for a deferred binding property.
`java.lang.String` | `tryGetValue()` Returns the defined value for the deferred binding property or `null` if the value of the property is not constant.

Method Detail

### getName

    java.lang.String getName()

  Returns the name of the deferred binding property.

### getPossibleValues

    java.util.SortedSet<java.lang.String> getPossibleValues()

  Returns all possible values for this deferred binding property.

### getPropertyProvider

    java.lang.String getPropertyProvider()

  Returns a raw function body that provides the runtime value to be used for a deferred binding property.

### tryGetValue

    java.lang.String tryGetValue()

  Returns the defined value for the deferred binding property or `null` if the value of the property is not constant.

  See Also:
    `CompilationResult.getPropertyMap()`